> For the complete documentation index, see [llms.txt](https://docs.chatlayer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chatlayer.ai/buildabot/tips-and-best-practices/route-your-flow-depending-on-the-channel.md).

# Route your flow depending on the channel

## Multi-channel

Chatlayer.ai allows you to connect one bot to multiple channels at the same time.

If you want your users to follow a different flow based on the channel they are using, you can use our multi-channel functionality. To do this, add a [Go To](/buildabot/flow-logic/dialog-state/plugins.md) to the point in your flow where you wish to diverge, based on the channel.

Within this 'Go To', guide the user based on the `internal.channel` variable, which contains the channel variable. In the image below you can see a bot that is connected to Facebook Messenger and Web chat; in order to offer the best experience in each channel, it diverts the users to the channel-specific flow by creating a condition: if internal.channel variable equals "facebook", create a 'Go To' to the Facebook flow; if not (else if), create a 'Go To' to the Web flow:

![](/files/IartTkfp9CoGcpXQBcCe)

The values for `internal.channel` correspond to the channel names:

| Channel name                                                                                                   | values for internal.channel |
| -------------------------------------------------------------------------------------------------------------- | --------------------------- |
| All channels managed through the Sinch Conversation API (SMS, RCS, WhatsApp, Viber, Instagram, Telegram, LINE) | sinchConversationAPI        |
| Amazon                                                                                                         | amazon                      |
| App integration channel (at the moment: Freshdesk Messaging webchat)                                           | AppIntegrationChannel       |
| Chat widget                                                                                                    | web                         |
| Facebook Messenger                                                                                             | facebook                    |
| Facebook Workplace                                                                                             | facebookWorkplace           |
| Google Home                                                                                                    | googleHome                  |
| Intercom                                                                                                       | intercom                    |
| Phone (through legacy CM.com)                                                                                  | cmPhone                     |
| Sinch Contact Pro                                                                                              | SinchInboxBotChannel        |
| Sinch Voice                                                                                                    | SinchVoiceBotChannel        |
| Sparkcentral                                                                                                   | SparkcentralBotChannel      |
| Voice (through legacy CM.com)                                                                                  | voice                       |
| Webhook                                                                                                        | webHook                     |
| Whatsapp (through legacy CM WhatsApp)                                                                          | whatsapp                    |
| WhatsApp through ACL                                                                                           | ACLWhatsappBotChannel       |
| WhatsApp through Wavy                                                                                          | WavyWhatsappBotChannel      |
| Zendesk                                                                                                        | ZendeskChatBotChannel       |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.chatlayer.ai/buildabot/tips-and-best-practices/route-your-flow-depending-on-the-channel.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
